Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh2
Class SSH2InternalChannel

    java.lang.Object
      com.mindbright.ssh2.SSH2Channel
          com.mindbright.ssh2.SSH2StreamChannel
              com.mindbright.ssh2.SSH2InternalChannel

Direct Known Subclasses:
  SSH2SessionChannel

public class SSH2InternalChannel
extends SSH2StreamChannel

Implements an internal channel which is connected ot a pair of pipes.

Field Summary
`protected InputStreamPipe` | `rxPipe`
`protected OutputStreamPipe` | `txPipe`

Fields inherited from class com.mindbright.ssh2.SSH2StreamChannel
`in, out, receiver, rxCounter, rxQueue, transmitter, txCounter`

Fields inherited from class com.mindbright.ssh2.SSH2Channel
`channelId, channelType, closeListeners, closeReceived, closeSent, connection, creator, deleted, eofReceived, eofSent, openMonitor, openStatus, peerChanId, rxCurrWinSz, rxInitWinSz, rxMaxPktSz, STATUS_CLOSED, STATUS_FAILED, STATUS_OPEN, STATUS_UNDEFINED, txCurrWinSz, txInitWinSz, txMaxPktSz`

Constructor Summary
`SSH2InternalChannel(int channelType, SSH2Connection connection)` Create a new internal channel of the given type.

Method Summary
`java.io.InputStream` | `getInputStream()` Get the input stream of the channel.
`java.io.OutputStream` | `getOutputStream()` Get the output stream of the channel.

Methods inherited from class com.mindbright.ssh2.SSH2StreamChannel
`applyFilter, checkRxWindowSize, closeImpl, createStreams, data, eofImpl, handleRequestImpl, openConfirmationImpl, openFailureImpl, outputClosed, startStreams, waitUntilClosed, windowAdjustImpl`

Methods inherited from class com.mindbright.ssh2.SSH2Channel
`addCloseListener, close, extData, getChannelId, getConnection, getCreator, getPeerId, getType, handleRequest, init, openConfirmation, openFailure, openStatus, recvClose, recvEOF, removeCloseListener, requestFailure, requestSuccess, sendClose, sendEOF, transmit, windowAdjust`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rxPipe

    protected InputStreamPipe rxPipe

### txPipe

    protected OutputStreamPipe txPipe

Constructor Detail

### SSH2InternalChannel

    public SSH2InternalChannel(int channelType,
                               SSH2Connection connection)

  Create a new internal channel of the given type. The channel is associated with an ssh connection. Channel types are defined in `SSH2Connection` and starts with `CH_TYPE`.

Parameters:
  `channelType` - Type of channel to create.
  `connection` - The ssh connection to associate the channel with.

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

  Get the input stream of the channel.

  Returns:
    The input stream.

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Get the output stream of the channel.

  Returns:
    The output stream.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD